This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 426470 - Unhelpful error message
Unhelpful error message
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-21 06:06 EST by Bastien Nocera
Modified: 2008-01-15 18:12 EST (History)
2 users (show)

See Also:
Fixed In Version: 1.1.10-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-15 17:53:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bastien Nocera 2007-12-21 06:06:25 EST
yum-utils.noarch 0:1.1.9-1.fc9

$ debuginfo-install evolution
enabling livna-development-debuginfo
Traceback (most recent call last):
  File "/usr/bin/debuginfo-install", line 109, in <module>
    util = DebugInfoInstall()
  File "/usr/bin/debuginfo-install", line 38, in __init__
    self.main()
  File "/usr/bin/debuginfo-install", line 59, in main
    self.doRepoSetup(thisrepo=r.id)
  File "/usr/share/yum-cli/cli.py", line 118, in doRepoSetup
    yum.YumBase._getRepos(self, thisrepo=thisrepo, doSetup=True)
  File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 348, in _getRepos
    self._repos.doSetup(thisrepo)
  File "/usr/lib/python2.5/site-packages/yum/repos.py", line 58, in doSetup
    repo.setup(self.ayum.conf.cache, self.ayum.mediagrabber)
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 720, in setup
    self.dirSetup()
  File "/usr/lib/python2.5/site-packages/yum/yumRepo.py", line 473, in dirSetup
    "Cannot access repository dir %s" % dir
yum.Errors.RepoError: Cannot access repository dir
//var/cache/yum/livna-development-debuginfo
Comment 1 Bastien Nocera 2007-12-21 06:07:45 EST
Arf. Works fine when run as root. Maybe it should have a message like yum itself
warning the user.
Comment 2 Seth Vidal 2007-12-21 13:52:15 EST
Fixed in  upstream 1.1.10 will have the fixed version. Thank you for the report
and for debugging it for us.
Comment 3 Fedora Update System 2008-01-06 20:16:23 EST
yum-utils-1.1.10-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update yum-utils'
Comment 4 Fedora Update System 2008-01-06 20:21:01 EST
yum-utils-1.1.10-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update yum-utils'
Comment 5 Fedora Update System 2008-01-15 17:53:28 EST
yum-utils-1.1.10-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2008-01-15 18:12:31 EST
yum-utils-1.1.10-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.